# $Revision: 1.37 $, $Date: 2003/09/13 19:25:50 $
Summary:	An implementation of the CORBA 2.3 standard Object Request Broker
Summary(pl):	Implementacja standardu CORBA 2.3
Name:		mico
Version:	2.3.10
Release:	2
License:	GPL/LGPL
Group:		Libraries
Source0:	http://www.mico.org/%{name}-%{version}.tar.gz
# Source0-md5:	0f27a8d66bc57100d762302cdf4868bf
URL:		http://www.mico.org/
BuildRequires:	autoconf
BuildRequires:	gtk+-devel
BuildRequires:	libstdc++-devel
BuildRequires:	readline-devel >= 4.2
BuildRequires:	tcl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MICO (MICO Is CORBA) is a freely available and fully compliant
implementation of the CORBA 2.3 standard Object Request Broker. The
mico package contains the shared libraries and demons needed to run
MICO applications.

%description -l pl
Akronim MICO oznacza "MICO jest CORBA" (ang. MICO Is CORBA).
Biblioteka ta dostarcza w peni sprawnej i przenoszolnej na inne
platformy implementacji standardu CORBA 2.3.

%package devel
Summary:	Include files and documentation
Summary(pl):	Pliki nagowkowe oraz dokumentacja do biblioteki
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Contains the files nessesary to develop applications using MICO:
header files, man pages and ps documentation.

%description devel -l pl
Zawiera niezbdne pliki do tworzenia i kompilacji aplikacji
korzystajcych z MICO jak pliki nagwkowe oraz dokumentacj.

%package static
Summary:	Static libraries for writing MICO applications
Summary(pl):	Biblioteki statyczne MICO
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for writing MICO applications.

%description static -l pl
Biblioteki statyczne MICO.

%prep
%setup -q -n %{name}

%build
%{__autoconf}
CXXFLAGS="%{rpmcflags} `gtk-config --cflags`"
%configure \
	--enable-namespace \
	--enable-shared \
	--enable-static \
	--enable-dynamic \
	--enable-ccm \
	--enable-coss \
	--with-gtk=%{_prefix}/X11R6 \
	--disable-debug \
	--with-tcl \
	--with-x \
	--with-ssl

# with those options mico doesn't compile for me :/
#	--enable-speed-tune \
#	--disable-externalize \
#	--disable-debug \
#	--disable-except \
#	--disable-mini-stl \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTDIR=$RPM_BUILD_ROOT%{_prefix} \
	SHARED_INSTDIR=$RPM_BUILD_ROOT%{_datadir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES CONVERT FAQ LICENSE* TODO
%attr(755,root,root) %{_bindir}/eventd
%attr(755,root,root) %{_bindir}/idl
%attr(755,root,root) %{_bindir}/imr
%attr(755,root,root) %{_bindir}/iordump
%attr(755,root,root) %{_bindir}/ird
%attr(755,root,root) %{_bindir}/mico-ar
%attr(755,root,root) %{_bindir}/mico-cpp
%attr(755,root,root) %{_bindir}/micod
%attr(755,root,root) %{_bindir}/nsadmin
%attr(755,root,root) %{_bindir}/nsd
%attr(755,root,root) %{_bindir}/propertyd
%attr(755,root,root) %{_bindir}/traderd

%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man[158]/*

%files devel
%defattr(644,root,root,755)
%doc doc/*.ps
%attr(755,root,root) %{_bindir}/mico-c++
%attr(755,root,root) %{_bindir}/mico-ld
%attr(755,root,root) %{_bindir}/mico-shc++
%attr(755,root,root) %{_bindir}/mico-shld
%attr(755,root,root) %{_libdir}/mico-setup.*
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mico.spec,v $
Revision 1.37  2003/09/13 19:25:50  blues
- release 2

Revision 1.36  2003/09/13 19:24:34  blues
- cosmetics

Revision 1.35  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.34  2003/07/25 14:04:30  undefine
- release 1

Revision 1.33  2003/06/07 14:50:02  undefine
- update do 2.3.10, build and works. some options temporary disabled

Revision 1.32  2003/05/28 12:59:43  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 05:50:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2002/11/27 22:06:22  juandon
- new %%doc

Revision 1.29  2002/05/21 23:14:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:13:50  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/10/11 13:16:55  qboosh
- adapterized, BuildRequires: autoconf

Revision 1.24  2001/07/06 15:50:29  dobrek
- Added -fexceptions to CXXFLAGS

Revision 1.23  2001/04/18 04:50:35  kloczek
- realy enable exceptions.

Revision 1.22  2001/04/18 04:16:28  kloczek
- enable exceptions.

Revision 1.21  2001/04/18 02:36:23  kloczek
- release 5: rebuild against readline 4.2.

Revision 1.20  2001/01/25 20:03:24  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.19  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.18  2000/10/12 00:55:42  kloczek
- typo.

Revision 1.17  2000/10/12 00:44:55  kloczek
- release 4: use new rpm automation.

Revision 1.16  2000/10/10 17:42:22  baggins
- DO NOT define _prefix if it's /usr

Revision 1.15  2000/07/30 21:38:21  kloczek
- spec adapterized.

Revision 1.14  2000/07/13 23:15:14  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.13  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/28 10:05:36  kloczek
- spec adapterized.

Revision 1.11  2000/04/12 05:11:32  kloczek
- release 2,
- rebuild against readline 4.1,
- spec adapterized.

Revision 1.10  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.8  1999/11/16 21:41:40  kloczek
- added full DESTDIR style %install,
- added BuildRequires rules.

Revision 1.7  1999/11/13 18:04:19  kloczek
- remved unneded orb_all and qt patches.

Revision 1.6  1999/11/13 17:36:33  kloczek
- updated to 2.3.0,
- changed install prefix to /usr,
- added static subpackage,
- man pages moved to main package,
- added --enable-final, --enable-namespace, --enable-shared, --with-gtk,
  --with-tcl, --with-x, --enable-speed-tune to ./cinfigure parameters,
- changed Group to Libraries and Development/Libraries,
- %%{_libdir}/mico-setup.* files moved to devel.

Revision 1.5  1999/10/02 16:26:00  cieciwa
 - fixes (???) install proces.

Revision 1.4  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jul  5 1999 Micha Zawalich <michalz@box43.gnet.pl>
  [2.2.7-1]
- initial version.
